# Class JobMessageFromOperator

java.lang.Object
javax.print.attribute.TextSyntax
javax.print.attribute.standard.JobMessageFromOperator

All Implemented Interfaces:
  `Serializable, Cloneable, Attribute, PrintJobAttribute`

public final class JobMessageFromOperator extends TextSyntax implements PrintJobAttribute
Class `JobMessageFromOperator` is a printing attribute class, a text attribute, that provides a message from an operator, system administrator, or "intelligent" process to indicate to the end user the reasons for modification or other management action taken on a job.

A Print Job's attribute set includes zero instances or one instance of a `JobMessageFromOperator` attribute, not more than one instance. A new `JobMessageFromOperator` attribute replaces an existing `JobMessageFromOperator` attribute, if any. In other words, `JobMessageFromOperator` is not intended to be a history log. If it wishes, the client can detect changes to a Print Job's `JobMessageFromOperator` attribute and maintain the client's own history log of the `JobMessageFromOperator` attribute values.

IPP Compatibility: The string value gives the IPP name value. The locale gives the IPP natural language. The category name returned by `getName()` gives the IPP attribute name.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JobMessageFromOperator(String message, Locale locale)`
Constructs a new job message from operator attribute with the given message and locale.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object object)`
Returns whether this job message from operator attribute is equivalent to the passed in object.
`final Class<? extends Attribute>`
`getCategory()`
Get the printing attribute class which is to be used as the "category" for this printing attribute value.
`final String`
`getName()`
Get the name of the category of which this attribute value is an instance.

### Methods declared in class TextSyntax

`getLocale, getValue, hashCode, toString`
Modifier and Type
Method
Description
`Locale`
`getLocale()`
Returns this text attribute's text string's natural language (locale).
`String`
`getValue()`
Returns this text attribute's text string.
`int`
`hashCode()`
Returns a hashcode for this text attribute.
`String`
`toString()`
Returns a `String` identifying this text attribute.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### JobMessageFromOperator

public JobMessageFromOperator(String message, Locale locale)
Constructs a new job message from operator attribute with the given message and locale.

Parameters:
  `message` - the message
  `locale` - Natural language of the text string. `null` is interpreted to mean the default locale as returned by `Locale.getDefault()`
Throws:
  `NullPointerException` - if `message` is `null`

## Method Details

### equals

public boolean equals(Object object)
Returns whether this job message from operator attribute is equivalent to the passed in object. To be equivalent, all of the following conditions must be true:

1. `object` is not `null`.
2. `object` is an instance of class `JobMessageFromOperator`.
3. This job message from operator attribute's underlying string and `object`'s underlying string are equal.
4. This job message from operator attribute's locale and `object`'s locale are equal.

Overrides:
  `equals` in class `TextSyntax`
Parameters:
  `object` - `Object` to compare to
Returns:
  `true` if `object` is equivalent to this job message from operator attribute, `false` otherwise
See Also:
  - `Object.hashCode()`
  - `HashMap`

### getCategory

public final Class<? extends Attribute> getCategory()
Get the printing attribute class which is to be used as the "category" for this printing attribute value.

For class `JobMessageFromOperator`, the category is class `JobMessageFromOperator` itself.

Specified by:
  `getCategory` in interface `Attribute`
Returns:
  printing attribute class (category), an instance of class `java.lang.Class`

### getName

public final String getName()
Get the name of the category of which this attribute value is an instance.

For class `JobMessageFromOperator`, the category name is `"job-message-from-operator"`.

Specified by:
  `getName` in interface `Attribute`
Returns:
  attribute category name